#!/bin/bash

CHR="build/chroot"
while [[ $# -gt 0 ]]; do
    case $1 in
        -d)
            shift
            CHR="$1"
            ;;
        -d*)
            CHR="${1:2}"
            ;;
        */)
            CHR="$1"
            break
            ;;
        -*)
            echo "Option $1 unknown" >&2
            exit 2
            ;;
        --)
            shift
            break
            ;;
        *)
            break
            ;;
    esac
    shift
done
if [[ $# -eq 0 ]]; then
    set /bin/bash -i
fi
cd "${CHR}"
CHR="$(pwd)"
res=4
if mount -t proc proc "${CHR}"/proc; then
    if mount -t sysfs sys "${CHR}"/sys; then
        env -i PATH=/sbin:/bin:/usr/sbin:/usr/bin \
        chroot --userspec=0:0 --groups=0 "${CHR}" "$@"
        res=$?
        umount "${CHR}"/sys
    fi
    umount "${CHR}"/proc
fi
exit ${res}
